
CREATE TABLESPACE ITIML000_data
DATAFILE 'ITIML000.dbf'
SIZE 50M
AUTOEXTEND ON
NEXT 10M
MAXSIZE unlimited
DEFAULT STORAGE (INITIAL 10M
   NEXT 1M
   PCTINCREASE 10)
PERMANENT
ONLINE
LOGGING;

CREATE USER ITIML000 IDENTIFIED BY i1t2m3l4
   DEFAULT TABLESPACE ITIML000_data
   QuOTA UNLIMITED ON ITIML000_data;


CREATE TABLE ITIML000.SIBOWNER (
  ME_UUID VARCHAR(16),
  INC_UUID VARCHAR(16),
  VERSION INTEGER,
  MIGRATION_VERSION INTEGER,
  ME_LUTS TIMESTAMP,
  ME_INFO VARCHAR(254),
  ME_STATUS VARCHAR(16)
)TABLESPACE ITIML000_data;

CREATE TABLE ITIML000.SIBOWNERO (
  EMPTY_COLUMN INTEGER
)TABLESPACE ITIML000_data;

CREATE TABLE ITIML000.SIBCLASSMAP (
  CLASSID INTEGER NOT NULL,
  URI VARCHAR2(2048) NOT NULL,
  PRIMARY KEY(CLASSID)
)TABLESPACE ITIML000_data;

CREATE TABLE ITIML000.SIBLISTING (
  ID INTEGER NOT NULL,
  SCHEMA_NAME VARCHAR2(10),
  TABLE_NAME VARCHAR2(10) NOT NULL,
  TABLE_TYPE CHAR(1) NOT NULL,
  PRIMARY KEY(ID)
)TABLESPACE ITIML000_data;

CREATE TABLE ITIML000.SIB000 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  DELIVERYDELAY_TIME NUMBER(19) DEFAULT 0 NOT NULL,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))
TABLESPACE ITIML000_data;

CREATE INDEX ITIML000.SIB000STREAMIX ON
ITIML000.SIB000(STREAM_ID,SEQUENCE);

CREATE TABLE ITIML000.SIB001 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  DELIVERYDELAY_TIME NUMBER(19) DEFAULT 0 NOT NULL,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))
TABLESPACE ITIML000_data;

CREATE INDEX ITIML000.SIB001STREAMIX ON
ITIML000.SIB001(STREAM_ID,SEQUENCE);

CREATE TABLE ITIML000.SIB002 (
  ID NUMBER(19) NOT NULL,
  STREAM_ID NUMBER(19) NOT NULL,
  TYPE CHAR(2),
  EXPIRY_TIME NUMBER(19),
  STRATEGY INTEGER,
  REFERENCE NUMBER(19),
  CLASS_ID INTEGER NOT NULL,
  PRIORITY INTEGER,
  SEQUENCE NUMBER(19),
  PERMANENT_ID INTEGER,
  TEMPORARY_ID INTEGER,
  LOCK_ID NUMBER(19),
  DATA_SIZE INTEGER NOT NULL,
  LONG_DATA BLOB,
  XID VARCHAR(254),
  DELETED SMALLINT,
  REDELIVERED_COUNT INTEGER,
  DELIVERYDELAY_TIME NUMBER(19) DEFAULT 0 NOT NULL,
  PRIMARY KEY(ID)
) LOB(LONG_DATA) STORE AS (CACHE STORAGE(INITIAL 10M NEXT 10M))
TABLESPACE ITIML000_data;

CREATE INDEX ITIML000.SIB002STREAMIX ON
ITIML000.SIB002(STREAM_ID,SEQUENCE);

CREATE TABLE ITIML000.SIBXACTS (
  XID VARCHAR2(254) NOT NULL,
  STATE CHAR(1) NOT NULL,
  PRIMARY KEY(XID)
)TABLESPACE ITIML000_data;

CREATE TABLE ITIML000.SIBKEYS (
  ID VARCHAR2(50) NOT NULL,
  LAST_KEY NUMBER(19) NOT NULL,
  PRIMARY KEY(ID)
)TABLESPACE ITIML000_data;

GRANT SELECT,INSERT,DELETE,UPDATE ON ITIML000.SIBOWNER TO itimuserTag;

GRANT SELECT,INSERT,DELETE,UPDATE ON ITIML000.SIBOWNERO TO itimuserTag;

GRANT SELECT,INSERT ON ITIML000.SIBCLASSMAP TO itimuserTag;

GRANT SELECT,INSERT ON ITIML000.SIBLISTING TO itimuserTag;

GRANT SELECT,INSERT,DELETE,UPDATE ON ITIML000.SIB000 TO itimuserTag;

GRANT SELECT,INSERT,DELETE,UPDATE ON ITIML000.SIB001 TO itimuserTag;

GRANT SELECT,INSERT,DELETE,UPDATE ON ITIML000.SIB002 TO itimuserTag;

GRANT SELECT,INSERT,UPDATE,DELETE ON ITIML000.SIBXACTS TO itimuserTag;

GRANT SELECT,INSERT,UPDATE ON ITIML000.SIBKEYS TO itimuserTag;

GRANT DROP ANY TABLE TO itimuserTag;